解决 Android Studio:Failed to resolve: com.android.support:appcompat-v7:29.+ 错误

这个问题,困扰了我一天,终于解决,
感谢博文
Android 解决: Failed to resolve: com.android.support:appcompat-v7:28.+ 错误

https://blog.csdn.net/bzlj2912009596/article/details/86597344

问题的根本就是 Android studio 的 SDK Build-Tools 与工程所需的不一致。具体讲解如下:

具体解决方案:

1.既然是版本问题,那就的先去了解自己的电脑安装的SDK工具版本,点开SDK Manager图标,然后选中 Updates 就可以看到了

 

 

 

这里我的 sdk 工具版本就是26.1.1 了

2.做如下修改

3.rebuild 一下

4.按照提示下载相应版本工具

(宝宝心里苦啊,找了一天解决方案)
实在是太感谢博主 暴走邻家https://me.csdn.net/bzlj2912009596

猜你喜欢

转载自www.cnblogs.com/bjxqmy/p/11518525.html
今日推荐